Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions | Variables
gtest_help_test Namespace Reference

## Classes
class | GTestHelpTest

## Functions
def | RunWithFlag (flag)

## Variables
string | __author__ = 'wan@google.com (Zhanyong Wan)'
string | IS_LINUX = 'posix'
string | IS_WINDOWS = 'nt'
tuple | PROGRAM_PATH = gtest_test_utils.GetTestExecutablePath('gtest_help_test_')
string | FLAG_PREFIX = '--gtest_'
string | DEATH_TEST_STYLE_FLAG = FLAG_PREFIX+'death_test_style'
string | STREAM_RESULT_TO_FLAG = FLAG_PREFIX+'stream_result_to'
string | UNKNOWN_FLAG = FLAG_PREFIX+'unknown_flag_for_testing'
string | LIST_TESTS_FLAG = FLAG_PREFIX+'list_tests'
list | INCORRECT_FLAG_VARIANTS
string | INTERNAL_FLAG_FOR_TESTING = FLAG_PREFIX+'internal_flag_for_testing'
string | SUPPORTS_DEATH_TESTS = "DeathTest"
tuple | HELP_REGEX

## Function Documentation

def gtest_help_test.RunWithFlag | ( |  | flag | ) |

    Runs gtest_help_test_ with the given flag.

    Returns:
      the exit code and the text output as a tuple.
    Args:
      flag: the command-line flag to pass to gtest_help_test_, or None.

## Variable Documentation

string __author__ = 'wan@google.com (Zhanyong Wan)'

string DEATH_TEST_STYLE_FLAG = FLAG_PREFIX+'death_test_style'

string FLAG_PREFIX = '--gtest_'

tuple HELP_REGEX

Initial value:
1 = re.compile(
2 FLAG_PREFIX + r'list_tests.*' +
3 FLAG_PREFIX + r'filter=.*' +
4 FLAG_PREFIX + r'also_run_disabled_tests.*' +
5 FLAG_PREFIX + r'repeat=.*' +
6 FLAG_PREFIX + r'shuffle.*' +
7 FLAG_PREFIX + r'random_seed=.*' +
8 FLAG_PREFIX + r'color=.*' +
9 FLAG_PREFIX + r'print_time.*' +
10 FLAG_PREFIX + r'output=.*' +
11 FLAG_PREFIX + r'break_on_failure.*' +
12 FLAG_PREFIX + r'throw_on_failure.*' +
13 FLAG_PREFIX + r'catch_exceptions=0.*',
14 re.DOTALL)

list INCORRECT_FLAG_VARIANTS

Initial value:
1 = [re.sub('^--', '-', LIST_TESTS_FLAG),
2 re.sub('^--', '/', LIST_TESTS_FLAG),
3 re.sub('_', '-', LIST_TESTS_FLAG)]

string INTERNAL_FLAG_FOR_TESTING = FLAG_PREFIX+'internal_flag_for_testing'

string IS_LINUX = 'posix'

string IS_WINDOWS = 'nt'

string LIST_TESTS_FLAG = FLAG_PREFIX+'list_tests'

tuple PROGRAM_PATH = gtest_test_utils.GetTestExecutablePath('gtest_help_test_')

string STREAM_RESULT_TO_FLAG = FLAG_PREFIX+'stream_result_to'

string SUPPORTS_DEATH_TESTS = "DeathTest"

string UNKNOWN_FLAG = FLAG_PREFIX+'unknown_flag_for_testing'